package com.citygis.impl;

import com.citygis.utils.DataUtil;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;

import java.util.Date;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeoutException;

@Service
public class KafkaConsumerService {

    @Resource
    DataUtil dataUtil;


    @Autowired
    private KafkaProducerService producerService;

    @KafkaListener(topics = {"cdcmb_cdc_fr_jyxx"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_jyxx(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        //格式化时间
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());

        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_jyxx_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_jyxx", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_sccy"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_sccy(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_sccy_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_sccy", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_mbdj"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_mbdj(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_mbdj_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_mbdj", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_mbdj_jzs"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_mbdj_jzs(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_mbdj_jzs_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_mbdj_jzs", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_mbsf_fyxx"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_mbsf_fyxx(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_mbsf_fyxx_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_mbsf_fyxx", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_mbsf_nczgw_jbs"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_mbsf_nczgw_jbs(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_mbsf_nczgw_jbs_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_mbsf_nczgw_jbs", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_mbsfk"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_mbsfk(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_mbsfk_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_mbsfk", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_tnbscdj"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_tnbscdj(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_tnbscdj_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_tnbscdj", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_tzcl"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_tzcl(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_tzcl_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_tzcl", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_zg"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_zg(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_zg_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_zg", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_tb_sfjh"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_tb_sfjh(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_tb_sfjh_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_tb_sfjh", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_tb_xt_deadcard"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_tb_xtdeadcard(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_tb_xt_deadcard_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_tb_xt_deadcard", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_tb_xt_gldxjbxx"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_tb_xt_gloxjbxx(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_tb_xt_gldxjbxx_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_tb_xt_gldxjbxx", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_xt_sczzjg"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_xt_sczzjg(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_xt_sczzjg_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_xt_sczzjg", dateFormat, message);
    }

    @KafkaListener(topics = {"cdcmb_cdc_fr_gxy_alert"}, groupId = "group1", containerFactory = "kafkaListenerContainerFactory")
    public void kafkaListenercdcmb_cdc_fr_gxy_alert(String message) throws  ExecutionException, InterruptedException, TimeoutException {

        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String dateFormat = format.format(new Date());


        //截取年月日 每天生成不同的redis key
        String splitData = dateFormat.split(" ")[0];

        // 设置rediskey
        String key = splitData + "_cdcmb_cdc_fr_gxy_alert_XF";

        //保存消费量到redis
        dataUtil.saveRedis(key);

        producerService.sendMessageSync("cdcmb_cdc_fr_gxy_alert", dateFormat, message);
    }


}
